<html xmlns:th="http://www.thymeleaf.org">

<head>

<meta charset="ISO-8859-1">

<title>Insert title here</title>

<link rel="stylesheet"  href="" th:href="@{/css/formcss.css}">

</head>

<body>

<div class="dash-join">

<div th:insert="bootstrapheader.html"></div>

 <div class="container">

    <form  method="post" th:action="@{/product}" enctype="multipart/form-data">

      <h2>Farmer Form</h2>

      <div class="row">

        <label for="first-name">Crop Name:</label>

        <input type="text"  name="pname" required>

      </div>

      

      <div class="row">

        <label for="first-name">Farm Name:</label>

        <input type="text"  name="farm" required>

      </div>

     

      

       <div class="row">

        <label for="birthdate">Start Date:</label>

        <input type="date"  name="start" required>

        

      </div>

       <div class="row">

        <label for="birthdate">End Date:</label>

        <input type="date"  name="end" required>

        

      </div>

      

      <div class="row">

        <label for="first-name">Amount:</label>

        <input type="text"  name="amount" required>Kg

      </div>

      <div class="row">

        <label for="Status">Breed Types:</label>

        <select id="country" name="breed" required>

          <option value="">Select Types:</option>

          <option value="local">Local</option>

          <option value="hybrid">Hybrid</option>

         

        </select>

      </div>

      <div class="row">

        <label for="Status">Status:</label>

        <select id="country" name="status" required>

          <option value="">Select Types:</option>

          <option value="active">Active</option>

          <option value="inactive">Inactive</option>

         

        </select>

      </div>

      

      <div class="row">

        <label for="first-name">Cost:</label>

        <input type="text"  name="cost" required>Rs

      </div>

      

      <div class="row">

        <label for="first-name">Category:</label>

        <input type="text" name="category"  />[[${category}]]



      </div>

      

      <div class="row">

        <label for="situation">Geographical:</label>

        <select id="country" name="geosituation" required>

          <option value="">Select Geo-Situation</option>

          <option value="hilly">Hilly</option>

          <option value="himalays">Himalayas</option>

          <option value="terai">Terai</option>

          <!-- Add more options as needed -->

        </select>

      </div>

       <div class="row">

        <label for="Condition"> Condition:</label>

        <select id="country" name="condation" required>

          <option value="">Select store condition</option>

          <option value="dry">Dry</option>

          <option value="cold">Cold</option>

          <option value="heat">Heat</option>

           <option value="moisture">moisture</option>

        </select>

      </div>

      <div class="row">

        Select Image:<input type="file" name ="file" id="file" >

        

      </div>

      <div class="row">

        <input type="submit" value="Register">

      </div>

    </form>

  </div>

  </div>

  

</body>

</html>